diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index 180807f..a79f1d4 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -69,13 +69,15 @@ class ServerModule(sg.ServerGroupPluginModule):
             manager = driver.connection_manager(server.id)
             conn = manager.connection()
             connected = conn.connected()
-
-            status, in_recovery = conn.execute_scalar("""
-                SELECT CASE WHEN usesuper
-                       THEN pg_is_in_recovery()
-                       ELSE FALSE
-                       END as inrecovery
-                FROM pg_user WHERE usename=current_user""")
+            if connected:
+                status, in_recovery = conn.execute_scalar("""
+                    SELECT CASE WHEN usesuper
+                           THEN pg_is_in_recovery()
+                           ELSE FALSE
+                           END as inrecovery
+                    FROM pg_user WHERE usename=current_user""")
+            else:
+                in_recovery = None
 
             yield self.generate_browser_node(
                     "%d" % (server.id),
